Commit 3efb2ec2 authored by Brendan Long's avatar Brendan Long

Filter out dependencies on libegl and libgles on Ubuntu.

This is broken on Ubuntu 12.04.3, because the install CD comes with
the Raring (13.10) kernel, and the dependencies for these packages
are broken.
parent 92125cf3
......@@ -158,8 +158,9 @@ if $INSTALL_DEPS ; then
fi
# Work around an issue where Ubuntu 13.04 and 13.10 try to install the
# nVidia drivers for OpenCV
depends=$(apt-rdepends -b --follow=DEPENDS $packages | grep Build-Depends | grep -v nvidia | grep -v opencv | cut -d ' ' -f 4 | paste -s -d ' ')
# nVidia drivers for OpenCV, and conflicts when we try to install libegl
# due to the "Raring" packages having broken dependencies.
depends=$(apt-rdepends -b --follow=DEPENDS $packages | grep Build-Depends | grep -v nvidia | grep -v opencv | grep -v libegl | grep -v libgles | cut -d ' ' -f 4 | paste -s -d ' ')
if [[ -n "$depends" ]] ; then
echo "Installing build dependencies for$packages"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment